<div class="login-form" style="background-image: linear-gradient(to top, #e6e9f0 0%, #eef1f5 100%); min-height: 90vh;">
    <mat-card style="box-shadow: 1px 1px 5px 1px black;">
        <mat-card-content>
            <h1>LOGIN</h1>
            
            <form [formGroup]="loginForm" (ngSubmit)="onLogin()" id="myform">


                <mat-form-field class="full-width-input">
                    <input matInput type="text" placeholder="username" id="username" formControlName="username">
                    <mat-error *ngIf="username.invalid && (username.dirty || username.touched)">
                        Username es requerido
                    </mat-error>
                </mat-form-field>

                <mat-form-field class="full-width-input separator">
                    <input matInput [type]="hide ? 'password' : 'text'" formControlName="password" autocomplete="off" placeholder="password">
                        <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide">
                          <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                        </button>
                    <mat-error *ngIf="password.invalid && (password.dirty || password.touched)">
                        Password es requerido
                    </mat-error>
                    <mat-error *ngIf="password.hasError('minlength')">
                        Debe ser mayor a 5
                    </mat-error>
                    
                </mat-form-field>

                <button type="submit" mat-raised-button color="primary">Login</button>
            </form>
        </mat-card-content>
    </mat-card>
</div>